zenilib: SDL_HapticPeriodic Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_HapticPeriodic Struct Reference

A structure containing a template for a Periodic effect. More...

`#include <SDL_haptic.h>`

## Public Attributes

Uint16 | attack_length
Uint16 | attack_level
Uint16 | button
Uint16 | delay
SDL_HapticDirection | direction
Uint16 | fade_length
Uint16 | fade_level
Uint16 | interval
Uint32 | length
Sint16 | magnitude
Sint16 | offset
Uint16 | period
Uint16 | phase
Uint16 | type

## Detailed Description

A structure containing a template for a Periodic effect.

The struct handles the following effects:

- SDL_HAPTIC_SINE
- SDL_HAPTIC_LEFTRIGHT
- SDL_HAPTIC_TRIANGLE
- SDL_HAPTIC_SAWTOOTHUP
- SDL_HAPTIC_SAWTOOTHDOWN

A periodic effect consists in a wave-shaped effect that repeats itself over time. The type determines the shape of the wave and the parameters determine the dimensions of the wave.

Phase is given by hundredth of a cycle meaning that giving the phase a value of 9000 will displace it 25% of its period. Here are sample values:

- 0: No phase displacement.
- 9000: Displaced 25% of its period.
- 18000: Displaced 50% of its period.
- 27000: Displaced 75% of its period.
- 36000: Displaced 100% of its period, same as 0, but 0 is preferred.

Examples:

    SDL_HAPTIC_SINE
      __      __      __      __
     /  \    /  \    /  \    /
    /    \__/    \__/    \__/

    SDL_HAPTIC_SQUARE
     __    __    __    __    __
    |  |  |  |  |  |  |  |  |  |
    |  |__|  |__|  |__|  |__|  |

    SDL_HAPTIC_TRIANGLE
      /\    /\    /\    /\    /\
     /  \  /  \  /  \  /  \  /
    /    \/    \/    \/    \/

    SDL_HAPTIC_SAWTOOTHUP
      /|  /|  /|  /|  /|  /|  /|
     / | / | / | / | / | / | / |
    /  |/  |/  |/  |/  |/  |/  |

    SDL_HAPTIC_SAWTOOTHDOWN
    \  |\  |\  |\  |\  |\  |\  |
     \ | \ | \ | \ | \ | \ | \ |
      \|  \|  \|  \|  \|  \|  \|

See Also
  SDL_HAPTIC_SINE
  SDL_HAPTIC_LEFTRIGHT
  SDL_HAPTIC_TRIANGLE
  SDL_HAPTIC_SAWTOOTHUP
  SDL_HAPTIC_SAWTOOTHDOWN
  SDL_HapticEffect

Definition at line 538 of file SDL_haptic.h.

## Member Data Documentation

Uint16 SDL_HapticPeriodic::attack_length

Duration of the attack.

Definition at line 561 of file SDL_haptic.h.

Referenced by SDL_HapticRumbleInit().

Uint16 SDL_HapticPeriodic::attack_level

Level at the start of the attack.

Definition at line 562 of file SDL_haptic.h.

Uint16 SDL_HapticPeriodic::button

Button that triggers the effect.

Definition at line 551 of file SDL_haptic.h.

Uint16 SDL_HapticPeriodic::delay

Delay before starting the effect.

Definition at line 548 of file SDL_haptic.h.

SDL_HapticDirection SDL_HapticPeriodic::direction

Direction of the effect.

Definition at line 544 of file SDL_haptic.h.

Uint16 SDL_HapticPeriodic::fade_length

Duration of the fade.

Definition at line 563 of file SDL_haptic.h.

Referenced by SDL_HapticRumbleInit().

Uint16 SDL_HapticPeriodic::fade_level

Level at the end of the fade.

Definition at line 564 of file SDL_haptic.h.

Uint16 SDL_HapticPeriodic::interval

How soon it can be triggered again after button.

Definition at line 552 of file SDL_haptic.h.

Uint32 SDL_HapticPeriodic::length

Duration of the effect.

Definition at line 547 of file SDL_haptic.h.

Referenced by SDL_HapticRumbleInit(), and SDL_HapticRumblePlay().

Sint16 SDL_HapticPeriodic::magnitude

Peak value.

Definition at line 556 of file SDL_haptic.h.

Referenced by SDL_HapticRumbleInit(), and SDL_HapticRumblePlay().

Sint16 SDL_HapticPeriodic::offset

Mean value of the wave.

Definition at line 557 of file SDL_haptic.h.

Uint16 SDL_HapticPeriodic::period

Period of the wave.

Definition at line 555 of file SDL_haptic.h.

Referenced by SDL_HapticRumbleInit().

Uint16 SDL_HapticPeriodic::phase

Horizontal shift given by hundredth of a cycle.

Definition at line 558 of file SDL_haptic.h.

Uint16 SDL_HapticPeriodic::type

SDL_HAPTIC_SINE, SDL_HAPTIC_LEFTRIGHT, SDL_HAPTIC_TRIANGLE, SDL_HAPTIC_SAWTOOTHUP or SDL_HAPTIC_SAWTOOTHDOWN

Definition at line 541 of file SDL_haptic.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_haptic.h